The GNU GPL is not the right license for Booleano

Bug #377415 reported by Gustavo Narea on 2009-05-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Booleano
Critical
Gustavo Narea

Bug Description

Booleano should use a GPL-compatible license with which users of Booleano-powered libraries/applications can use the software with no problems at all.

The main reason to create Booleano was PyACL, which in turn was started because of repoze.what 2. So it'd be contradictory for repoze.what to rely on the copyleft license GNU GPL.

After checking various licenses, I've decided to switch to the MIT X License with the non-advertisement clause.

Related branches

Gustavo Narea (gnarea) on 2009-05-16
Changed in booleano:
importance: Undecided → Critical
Gustavo Narea (gnarea) wrote :

Fixed in r39.

Changed in booleano:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers